Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Dec 2023 14:06:00 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Sun, 17 Dec 2023 11:19:57 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm talking specifically about any changes from previous behavior
> > visible from Lisp.  I think we should test all of the following:
> >
> >   default-value
> >   default-boundp
> >   setq-default
> >   default-toplevel-value
> >   set-default-toplevel-value
> >
> > and make sure they all behave exactly the same, both in and out of a
> > let-binding.
> 
> The patch did not introduce test failures for make check on my side. Are
> there existing tests for buffer-locals? Or do we need to add them?

I don't see any such tests.  So yes, it would be good to add them.
But at the very least we should consider all of the above
theoretically and see if any of them are expected/supposed to change
as result of this.